Skip to main content
GET
/
api
/
agent
/
get-agent
Obtener Agente
curl --request GET \
  --url https://api.plazbot.com/api/agent/get-agent \
  --header 'Authorization: Bearer <token>' \
  --header 'x-workspace-id: <x-workspace-id>'
import requests

url = "https://api.plazbot.com/api/agent/get-agent"

headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.plazbot.com/api/agent/get-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "code": 123,
  "errorCode": "<string>",
  "message": "<string>",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "model": "<string>",
    "prompt": "<string>",
    "temperature": 123,
    "maxTokens": 123,
    "channelId": "<string>",
    "platformType": "<string>",
    "widgetEnabled": true,
    "workspaceId": "<string>",
    "creationDate": "2023-11-07T05:31:56Z",
    "files": [
      "<string>"
    ]
  }
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}

Authorizations

Authorization
string
header
required

Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login

Headers

x-workspace-id
string
required

Identificador del workspace

Query Parameters

agentId
string
required

ID del agente a consultar

workspaceId
string
required

Identificador del workspace

Response

Agente obtenido exitosamente

success
boolean
required

Indica si la operacion fue exitosa

code
integer
required

Codigo HTTP de la respuesta

errorCode
string | null
required

Codigo de error, null si no hay error

message
string
required

Mensaje descriptivo del resultado

data
object
required

Agente de Inteligencia Artificial configurado en el workspace